Loading...
Searching...
No Matches
EST_SCFG_Chart_Edge Class Reference

`#include <include/EST_SCFG_Chart.h>`

## Public Member Functions

Constructor and initialisation functions
| EST_SCFG_Chart_Edge (double prob, int d1, int d2, int pos)
int | pos (void)
| Postion, 0 1 or 2, where 0 is empty, 1 is incomplete 2 is complete.
double | prob (void)
| Edge probability.
int | d1 ()
| (Non)terminal of daughter 1
int | d2 ()
| (Non)terminal of daughter 2

## Detailed Description

An internal class for \Ref{EST_SCFG_Chart} for representing edges in the chart during parsing with SCFGs.

A standard Earley type chart edge, with representations for two daughters and a position or what has been recognised. A probability is also included.

Definition at line 58 of file EST_SCFG_Chart.h.

## Constructor & Destructor Documentation

## EST_SCFG_Chart_Edge() [1/2]

EST_SCFG_Chart_Edge::EST_SCFG_Chart_Edge | ( |  | ) |

Definition at line 46 of file EST_SCFG_Chart.cc.

## EST_SCFG_Chart_Edge() [2/2]

EST_SCFG_Chart_Edge::EST_SCFG_Chart_Edge | ( | double | prob,
|  | int | d1,
|  | int | d2,
|  | int | pos )

Definition at line 50 of file EST_SCFG_Chart.cc.

## ~EST_SCFG_Chart_Edge()

EST_SCFG_Chart_Edge::~EST_SCFG_Chart_Edge | ( |  | ) |

Definition at line 60 of file EST_SCFG_Chart.cc.

## Member Function Documentation

## pos()

int EST_SCFG_Chart_Edge::pos | ( | void |  | ) |

inline

Postion, 0 1 or 2, where 0 is empty, 1 is incomplete 2 is complete.

Definition at line 73 of file EST_SCFG_Chart.h.

## prob()

double EST_SCFG_Chart_Edge::prob | ( | void |  | ) |

inline

Edge probability.

Definition at line 75 of file EST_SCFG_Chart.h.

## d1()

int EST_SCFG_Chart_Edge::d1 | ( |  | ) |

inline

(Non)terminal of daughter 1

Definition at line 77 of file EST_SCFG_Chart.h.

## d2()

int EST_SCFG_Chart_Edge::d2 | ( |  | ) |

inline

(Non)terminal of daughter 2

Definition at line 79 of file EST_SCFG_Chart.h.

The documentation for this class was generated from the following files:

- include/EST_SCFG_Chart.h
- grammar/scfg/EST_SCFG_Chart.cc